ClassLoaderAwareCache (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.infinispan.impl
Class ClassLoaderAwareCache<K,V>

    java.lang.Object
      org.infinispan.AbstractDelegatingCache<K,V>
          org.infinispan.AbstractDelegatingAdvancedCache<K,V>
              org.hibernate.cache.infinispan.impl.ClassLoaderAwareCache<K,V>

All Implemented Interfaces:
  ConcurrentMap<K,V>, Map<K,V>, org.infinispan.AdvancedCache<K,V>, org.infinispan.api.BasicCache<K,V>, org.infinispan.Cache<K,V>, org.infinispan.lifecycle.Lifecycle, org.infinispan.notifications.Listenable

    public class ClassLoaderAwareCache<K,V>

extends org.infinispan.AbstractDelegatingAdvancedCache<K,V>

Nested Class Summary
`static class` | `ClassLoaderAwareCache.ClassLoaderAwareListener`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary

Fields inherited from class org.infinispan.AbstractDelegatingAdvancedCache
`cache`

Constructor Summary
`ClassLoaderAwareCache(org.infinispan.AdvancedCache<K,V> cache, ClassLoader classLoader)`

Method Summary
`void` | `addListener(Object listener)`
`org.infinispan.stats.Stats` | `getStats()`
`void` | `stop()`

Methods inherited from class org.infinispan.AbstractDelegatingAdvancedCache
`addInterceptor, addInterceptorAfter, addInterceptorBefore, applyDelta, getAdvancedCache, getBatchContainer, getClassLoader, getComponentRegistry, getDataContainer, getDistributionManager, getEvictionManager, getInterceptorChain, getInvocationContextContainer, getLockManager, getRpcManager, getTransactionManager, getXAResource, lock, lock, removeInterceptor, removeInterceptor, with, withFlags`

Methods inherited from class org.infinispan.AbstractDelegatingCache
`clear, clearAsync, compact, containsKey, containsValue, endBatch, entrySet, evict, get, getAsync, getCacheConfiguration, getCacheManager, getConfiguration, getListeners, getName, getStatus, getVersion, isEmpty, keySet, put, put, put, putAll, putAll, putAll, putAllAsync, putAllAsync, putAllAsync, putAsync, putAsync, putAsync, putForExternalRead, putIfAbsent, putIfAbsent, putIfAbsent, putIfAbsentAsync, putIfAbsentAsync, putIfAbsentAsync, remove, remove, removeAsync, removeAsync, removeListener, replace, replace, replace, replace, replace, replace, replaceAsync, replaceAsync, replaceAsync, replaceAsync, replaceAsync, replaceAsync, set, size, start, startBatch, toString, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.infinispan.Cache
`compact, endBatch, entrySet, evict, getCacheConfiguration, getCacheManager, getConfiguration, getStatus, keySet, putForExternalRead, startBatch, values`

Methods inherited from interface org.infinispan.api.BasicCache
`clearAsync, getAsync, getName, getVersion, put, put, putAll, putAll, putAllAsync, putAllAsync, putAllAsync, putAsync, putAsync, putAsync, putIfAbsent, putIfAbsent, putIfAbsentAsync, putIfAbsentAsync, putIfAbsentAsync, removeAsync, removeAsync, replace, replace, replace, replace, replaceAsync, replaceAsync, replaceAsync, replaceAsync, replaceAsync, replaceAsync`

Methods inherited from interface java.util.concurrent.ConcurrentMap
`putIfAbsent, remove, replace, replace`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, equals, get, hashCode, isEmpty, put, putAll, remove, size`

Methods inherited from interface org.infinispan.lifecycle.Lifecycle
`start`

Methods inherited from interface org.infinispan.notifications.Listenable
`getListeners, removeListener`

Constructor Detail

### ClassLoaderAwareCache

    public ClassLoaderAwareCache(org.infinispan.AdvancedCache<K,V> cache,
                                 ClassLoader classLoader)

Method Detail

### getStats

    public org.infinispan.stats.Stats getStats()

  Specified by:
    `getStats` in interface `org.infinispan.AdvancedCache<K,V>`
  Overrides:
    `getStats` in class `org.infinispan.AbstractDelegatingAdvancedCache<K,V>`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.infinispan.lifecycle.Lifecycle`
  Overrides:
    `stop` in class `org.infinispan.AbstractDelegatingCache<K,V>`

### addListener

    public void addListener(Object listener)

  Specified by:
    `addListener` in interface `org.infinispan.notifications.Listenable`
  Overrides:
    `addListener` in class `org.infinispan.AbstractDelegatingCache<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.